#!/usr/bin/env bash

################################################################################

# Java Library
#
# Copyright (C) 2023 Kestrel Institute (http://www.kestrel.edu)
# Copyright (C) 2023 Kestrel Technology LLC (http://kestreltechnology.com)
#
# License: A 3-clause BSD license. See the LICENSE file distributed with ACL2.
#
# Author: Alessandro Coglio (coglio@kestrel.edu)

################################################################################

# This file runs the tests for the C code generated by ATC.

################################################################################

# stop on error:
set -e

# run each test program:
./arrays
./assign
./calls
./checksum
./conditionals
./constants
./conversions
./guard-mbt
./int
./locvars
./loops
./mbt
./nonstrict
./not
./operators
./ops-diff-types
./pointers
./structs
./ext-objs
